Bug 1089110 - Review Request: nield - Network Interface Events Logging Daemon
Review Request: nield - Network Interface Events Logging Daemon
Status: NEW
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FE-NEEDSPONSOR
  Show dependency treegraph
 
Reported: 2014-04-17 21:32 EDT by Tetsumune KISO
Modified: 2015-09-24 08:30 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tetsumune KISO 2014-04-17 21:32:12 EDT
Spec URL: http://sourceforge.net/projects/nield/files/nield-0.5.0/nield-0.5.0-1.fc20.spec
SRPM URL: http://sourceforge.net/projects/nield/files/nield-0.5.0/nield-0.5.0-1.fc20.src.rpm
Description: nield(Network Interface Events Logging Daemon) is a tool that receives notifications from the kernel through the netlink socket, and generates logs related to link state, neighbor cache(ARP,NDP), IP address(IPv4,IPv6), route, FIB rules, traffic control.
Fedora Account System Username: t2mune@gmail.com
Comment 1 Christopher Meng 2014-04-17 23:07:16 EDT
FAS username invalid.

SPEC name invalid.

Use your real name in bugzilla.

Read carefully:

https://fedoraproject.org/wiki/Join_the_package_collection_maintainers

https://fedoraproject.org/wiki/How_to_get_sponsored_into_the_packager_group
Comment 2 Christopher Meng 2014-04-17 23:12:31 EDT
SPEC file:

1. Packager: xxxx <txxx@gmail.com>

Remove that.

2. ExclusiveArch: %{ix86} x86_64

Why?

3. ${RPM_BUILD_ROOT}

Bad.

See https://fedoraproject.org/wiki/Packaging:Guidelines#Using_.25.7Bbuildroot.7D_and_.25.7Boptflags.7D_vs_.24RPM_BUILD_ROOT_and_.24RPM_OPT_FLAGS

4. cp contrib/fedora/nield.service ${RPM_BUILD_ROOT}/%{_unitdir}

Use install -pm644 to do that.

5. %clean

Remove this section please.

6. %files
/usr/sbin/nield

/usr/sbin --> %{_sbindir}

7. %doc /usr/share/man/man8/nield.8.gz

No %doc for manpages please.

Also list manpages by:

%{_mandir}/man8/nield.8*

8. * Thu Apr 17 2014 t2mune - 0.5.0-1

Who are you? Name? Email address? I assume you are not a troll.
Comment 3 Christopher Meng 2014-04-17 23:14:21 EDT
Also,

9. [ -d ${RPM_BUILD_ROOT}/%{_unitdir} ] || mkdir -p ${RPM_BUILD_ROOT}/%{_unitdir}

You don't need to use script here, just

mkdir -p %{buildroot}%{_unitdir}

is enough.
Comment 4 Tetsumune KISO 2014-04-18 00:36:44 EDT
Hi Christopher,

Thank you for your comments.
I've posted a new version, taking account of them:

Spec URL: http://sourceforge.net/projects/nield/files/nield-0.5.0/nield.spec
SRPM URL: http://sourceforge.net/projects/nield/files/nield-0.5.0/nield-0.5.0-1.fc20.src.rpm
Description: nield(Network Interface Events Logging Daemon) is a tool that receives notifications from the kernel through the netlink socket, and generates logs related to link state, neighbor cache(ARP,NDP), IP address(IPv4,IPv6), route, FIB rules, traffic control.
Fedora Account System Username: t2mune
Comment 5 Volker Fröhlich 2014-04-18 02:08:44 EDT
Please use spaces after parentheses!

License is GPLv2+, run licensecheck on the source code to see why! As you are the developer, you should state the license in every file, not just a random few.

The changelog format is not correct yet: https://fedoraproject.org/wiki/Packaging:Guidelines#Changelogs

Use the version macro in the Source line. You can also use the name macro there.

You must include %doc COPYING in the files section of your spec file and I recommend adding "ChangeLog" as well.
Comment 6 Volker Fröhlich 2014-04-18 02:11:54 EDT
I meant _before_!
Comment 7 Tetsumune KISO 2014-04-18 05:37:48 EDT
Hi Volker,

Tyank you for comments.

> Please use spaces after parentheses!
Could you give me more details?
Comment 8 Volker Fröhlich 2014-04-18 05:49:15 EDT
Oh, just "Blah blah (something)" instead of "Blah blah(something)".
Comment 9 Tetsumune KISO 2014-04-18 07:35:46 EDT
I uploaded new files:

Spec URL: http://sourceforge.net/projects/nield/files/nield-0.5.0/nield.spec
SRPM URL: http://sourceforge.net/projects/nield/files/nield-0.5.0/nield-0.5.0-1.fc20.src.rpm
Description: nield (Network Interface Events Logging Daemon) is a tool that receives notifications from the kernel through the netlink socket, and generates logs related to link state, neighbor cache (ARP,NDP), IP address (IPv4,IPv6), route, FIB rules, traffic control.
Fedora Account System Username: t2mune
Comment 10 Tetsumune KISO 2014-04-19 13:51:41 EDT
(In reply to Volker Fröhlich from comment #5)
> License is GPLv2+, run licensecheck on the source code to see why! As you
> are the developer, you should state the license in every file, not just a
> random few.

This package include a part of files in linux-headers (GPL),
but there are no mention of a license and copyright in some files.
What would be the best thing to do?
Comment 11 Christopher Meng 2014-04-20 08:30:16 EDT
Please also follow this carefully:

https://fedoraproject.org/wiki/Join_the_package_collection_maintainers
Comment 12 Tetsumune KISO 2014-04-28 19:38:18 EDT
Updated so as not to include kernel header files.
Could you review them?

Spec URL: http://sourceforge.net/projects/nield/files/nield-0.5.1/fedora/nield.spec
SRPM URL: http://sourceforge.net/projects/nield/files/nield-0.5.1/fedora/nield-0.5.1-1.fc20.src.rpm
Description: The Network Interface Events Logging Daemon is a tool that receives
notifications from the kernel through the netlink socket, and generates logs
related to link state, neighbor cache (ARP,NDP), IP address (IPv4,IPv6), route,
FIB rules, traffic control.
Fedora Account System Username: t2mune

And I ran licensecheck and rpmlint.
"netlink" is not a spelling error.

[t2mune@fedora20 ~]$ licensecheck nield-0.5.1/*
nield-0.5.1/src/tcmsg_filter.c: GPL (v2 or later)
nield-0.5.1/src/debug.c: GPL (v2 or later)
nield-0.5.1/src/log.c: GPL (v2 or later)
nield-0.5.1/src/ndmsg.c: GPL (v2 or later)
nield-0.5.1/src/nlmsg.c: GPL (v2 or later)
nield-0.5.1/src/rtmsg.c: GPL (v2 or later)
nield-0.5.1/src/nield.h: GPL (v2 or later)
nield-0.5.1/src/nield.c: GPL (v2 or later)
nield-0.5.1/src/tcmsg_qdisc.c: GPL (v2 or later)
nield-0.5.1/src/frhdr.c: GPL (v2 or later)
nield-0.5.1/src/ifimsg.c: GPL (v2 or later)
nield-0.5.1/src/ifamsg.c: GPL (v2 or later)
nield-0.5.1/src/list.h: GPL (v2 or later)
nield-0.5.1/src/rtnetlink.h: GPL (v2 or later)
nield-0.5.1/src/tcamsg.c: GPL (v2 or later)
[t2mune@fedora20 ~]$ rpmlint rpmbuild/SPECS/nield.spec 
0 packages and 1 specfiles checked; 0 errors, 0 warnings.
[t2mune@fedora20 ~]$ rpmlint rpmbuild/SRPMS/nield-0.5.1-1.fc20.src.rpm 
nield.src: W: spelling-error %description -l en_US netlink -> net link, net-link, linnet
1 packages and 0 specfiles checked; 0 errors, 1 warnings.
Comment 13 Christopher Meng 2014-04-28 20:23:15 EDT
Read carefully:

https://fedoraproject.org/wiki/Join_the_package_collection_maintainers

Find which step you forgot to follow, then do it.
Comment 14 Volker Fröhlich 2015-09-23 08:12:20 EDT
Tetsumune, any progress concerning a sponsorship?
Comment 15 Tetsumune KISO 2015-09-24 08:30:57 EDT
No progress.

Note You need to log in before you can comment on or make changes to this bug.